from pydantic_settings import BaseSettings, SettingsConfigDict


class GithubSettings(BaseSettings):
    model_config = SettingsConfigDict(env_prefix="GITHUB_", env_file=".env")

    token: str
    url: str = "https://api.github.com/repos"
